GNU bug report logs - #56636
28.1.90; bibtex-beginning-of-entry does not always move point the the actual beginning

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ihor Radchenko <yantar92@HIDDEN>; dated Tue, 19 Jul 2022 02:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 26 Nov 2022 12:58:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 07:58:07 2022
Received: from localhost ([127.0.0.1]:38127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyukx-0004Xt-2H
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 07:58:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1oyukv-0004XJ-2k
 for 56636 <at> debbugs.gnu.org; Sat, 26 Nov 2022 07:58:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1oyukn-000647-8M; Sat, 26 Nov 2022 07:57:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=jv1K56BwgivbPb495jJoN9HKZv4Vb1kFwnkv116liws=; b=sD9LslTrbcsU9difNs+S
 3mBV48vTzCji/OdRx+gzCleypJOYnwmxcgjEoB46uIF5LYWUpjze0S94lykibeZAp0XDY/rUw94u5
 65wUvfhY453kjZ5ljOLwqCAVhl8hyidzvKZNrn4al8wL/w9PznfClMZzECaGtM5qUp03da2/Nhbcu
 PVjO5iGDGuilxBVrbg+Tph52LvVgCB6dj58DzZocqVHjM1bBdEkMyzv8mALuO/r0efovfk8TKUnkk
 h2gHIfOmVarjBdIZ/uGHfrKwpJiyKapkoNelBT4ndEYTEX4pv+JuBXaNg0VJwrgn/oGsVUtGbqw+s
 aGNCf+rCrUkC/w==;
Received: from dyndsl-091-248-065-190.ewe-ip-backbone.de ([91.248.65.190]
 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1oyukl-0005dp-Pf; Sat, 26 Nov 2022 07:57:56 -0500
From: Roland Winkler <winkler@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
 <87edycuucy.fsf@localhost> <87wnc36xta.fsf@HIDDEN>
 <87tu4wrms8.fsf@localhost> <87r0xra390.fsf@localhost>
Date: Sat, 26 Nov 2022 13:57:52 +0100
In-Reply-To: <87r0xra390.fsf@localhost> (Ihor Radchenko's message of "Fri, 25
 Nov 2022 07:43:07 +0000")
Message-ID: <877czhootr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56636
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ihor Radchenko <yantar92@HIDDEN>,
 56636 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> May I know if there is any progress on this?
>
> Pinging once more. Maybe this can be fixed before Emacs 29?
>
> Though it is probably not very high priority.

I do have a ptach that I'll install shortly (my internet access is
limited right now).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 25 Nov 2022 07:42:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 02:42:37 2022
Received: from localhost ([127.0.0.1]:33333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyTM4-0004LR-Qb
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 02:42:37 -0500
Received: from mout02.posteo.de ([185.67.36.66]:33023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1oyTM3-0004LE-1s
 for 56636 <at> debbugs.gnu.org; Fri, 25 Nov 2022 02:42:35 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5C48F240103
 for <56636 <at> debbugs.gnu.org>; Fri, 25 Nov 2022 08:42:29 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1669362149; bh=2tdcMs+cjVf0t6Hx4KRc6phd58UBkVNi+Pz2vHNON1o=;
 h=From:To:Cc:Subject:Date:From;
 b=ghtrts0BkaQbf4f1kTNE6RYIzdctGc3Uf4LXpH8xEnWzScJu3WTFk+ksBv5zQmUKN
 f6GhCKePmrXwVMpLln7B1blpuQ6CAusk9Z2JNoWc/ABuSXKJLbHDtyGGiOt2X1v5kk
 aJ9Hs/2RPtKdMjuC4NkHc/0jlljCR+DoUWOYC2d7c0xxc1eZwU5TVHLBljUCxzqYhp
 +y6g3eSe2jmU+T10BzVKTbxDOyxURAXN/tIlDwhtNiYX9uu1QLmSgvFNu459aRsvSN
 EYplBZ9S4K1yaQ0zCvtS4JgMbs88OpyhpWHFTG3Vd76y/EA7REa1zK340LOJw3yH1V
 PFvVQqQtrgCZA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4NJRfC5n99z6tmG;
 Fri, 25 Nov 2022 08:42:27 +0100 (CET)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
In-Reply-To: <87tu4wrms8.fsf@localhost>
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
 <87edycuucy.fsf@localhost> <87wnc36xta.fsf@HIDDEN>
 <87tu4wrms8.fsf@localhost>
Date: Fri, 25 Nov 2022 07:43:07 +0000
Message-ID: <87r0xra390.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56636
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Roland Winkler <winkler@HIDDEN>,
 56636 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ihor Radchenko <yantar92@HIDDEN> writes:

> May I know if there is any progress on this?

Pinging once more. Maybe this can be fixed before Emacs 29?

Though it is probably not very high priority.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 25 Sep 2022 06:27:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 25 02:27:19 2022
Received: from localhost ([127.0.0.1]:45713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ocL6l-0000M4-C6
	for submit <at> debbugs.gnu.org; Sun, 25 Sep 2022 02:27:19 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:38575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1ocL6i-0000Lp-CA
 for 56636 <at> debbugs.gnu.org; Sun, 25 Sep 2022 02:27:18 -0400
Received: by mail-pf1-f173.google.com with SMTP id a29so3843565pfk.5
 for <56636 <at> debbugs.gnu.org>; Sat, 24 Sep 2022 23:27:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date;
 bh=6wFyD8ylEYnU+39JIqgDj5vhD5LFVmXiurxO+fOi6u0=;
 b=jE5rmUB7phJc5IsfH6rZ51Z3JfIyMKb8bMxgF5jeyvzUZJlENP6e6Ze8DixpzILh6s
 Kv3Vf6mS2bsPj8bbQbqTrCEClEHd2otd5/I7MumlxsjMrwIw7HrtUMPMhfy3uRGcnFTf
 ON/FeWSacBQGIvE1TDxxKgK9YeR77wOqS8zGxlna6HQ6zuRJ60IK/LjV3/EZppVT92IK
 G81B9+0uZHeslpT7w4Rig+1c6e3rF8nsS0S5FfljCtFwM+zR0ijCoQY3OIKNFw8lkA7O
 8FkAAcsTqqGNLwp0ib5M1d7z0tN26Czx7CC6fVr0ydRD4L/0ykMqeSPCxlGSw+HJitBZ
 skvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=6wFyD8ylEYnU+39JIqgDj5vhD5LFVmXiurxO+fOi6u0=;
 b=xG15vYo6eMrMgHPrjlvXGjkLfK69VEf/B7AF133Iw6nWZeo5eGzkr1cGoZgVJqOWMt
 RWHarfIwYqe39CMKK8ZjqsmI9sgzTFXsMb3RML9E3oTn42rMWC8A7HSalqAyXUW3sqPy
 3sf3E1eHqLqo1SM39fUk/2LbOddyLnq92EDkT2d1+AA9hlmJzmytfzCGfXUAwUK1yv2L
 b7WwxG8aY6YiPMtVGlK//upf/Co7X+qiwq3mS2IJFfv6LOE+7kQTTpceqBGSovHbqnAE
 fgCgneaSMEVSVWDJKS9MSxZvFaCiEwzVhgmyzJ6koyBtsucFuv+J7OqsbU/GXURN72Ao
 dZZg==
X-Gm-Message-State: ACrzQf3vBVol56j1xFbN7qAU9Cpc46HthepWNR0s8UXragk1wR9lhEyk
 mA77RgBL7YeDrWKkiEmIPDM=
X-Google-Smtp-Source: AMsMyM44G2IgSFD8ZoBhAJntX+SWDWByUMCiw/c/EqK7kTMA/jePwb4y6LyuCgpaJXrRHQ/VIILjJg==
X-Received: by 2002:a63:2a82:0:b0:43c:1ef8:4093 with SMTP id
 q124-20020a632a82000000b0043c1ef84093mr13155023pgq.251.1664087230594; 
 Sat, 24 Sep 2022 23:27:10 -0700 (PDT)
Received: from localhost ([2409:8970:a80:3a4:8ec6:81ff:fe70:339d])
 by smtp.gmail.com with ESMTPSA id
 k12-20020a170902ce0c00b00176e8f85147sm8715849plg.83.2022.09.24.23.27.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 24 Sep 2022 23:27:09 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
In-Reply-To: <87wnc36xta.fsf@HIDDEN>
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
 <87edycuucy.fsf@localhost> <87wnc36xta.fsf@HIDDEN>
Date: Sun, 25 Sep 2022 14:27:51 +0800
Message-ID: <87tu4wrms8.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 56636
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 56636 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Roland Winkler <winkler@HIDDEN> writes:

> Looking at the code, it frequently performs a strange dance
> where a call of bibtex-beginnig-of-entry is followed by
> (looking-at bibtex-entry-maybe-empty-head).
> That doesn't make sense, it works around the above bug instead of
> doing it right in the first place.  I'll look for a better solution
> for this.

May I know if there is any progress on this?

-- 
Ihor Radchenko,
Org mode contributor,
Learn more about Org mode at https://orgmode.org/.
Support Org development at https://liberapay.com/org-mode,
or support my work at https://liberapay.com/yantar92




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 24 Jul 2022 09:24:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 24 05:24:16 2022
Received: from localhost ([127.0.0.1]:46866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFXqS-0001uB-Gx
	for submit <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:24:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oFXqQ-0001tu-LP
 for 56636 <at> debbugs.gnu.org; Sun, 24 Jul 2022 05:24:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Q+uzeliyz6lrBOvj4zc+Y5gQ3CRXDB+cqppmRM/QCJM=; b=EuyIJV4grnibShV+D9tR/Oa7hq
 bmah25i+RKBhvBwd0YxfIPd0ubFH2qxSkIUSg2iUhqGPBjnvDa28FSJLxyOubtkY/xbCvI5R4PKym
 VYC5ucpHWuScbmdyL2V93UbPD7yi8aeEUIJd1MMB5w3xYK5xYsrJpp532rPynbcfTZWw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oFXqI-0005Ok-1a; Sun, 24 Jul 2022 11:24:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Roland Winkler <winkler@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
In-Reply-To: <87wnc36xta.fsf@HIDDEN> (Roland Winkler's message of "Sat, 23
 Jul 2022 21:37:05 -0500")
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
 <87edycuucy.fsf@localhost> <87wnc36xta.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJFBMVEUwdskudspHfMsw
 etAuedCak9NlhM7Yo9cZccw1cbdQeKn///93HEaEAAAAAWJLR0QLH9fEwAAAAAd0SU1FB+YHGAkH
 HH/VAFgAAAGbSURBVDjLpVI7TsNAEJ0hRrQz0YY+NwDZB/DKcwEKkjoFikSFkFBuQB0KGo7gUzIf
 O/4EV6wly+s37735AehhAmTiyYHhLADISwxellrT4EP934cGYHOAAjkzNQj69KQKNu8kFl1lkyJN
 1XiFwP1pqymkRtCkCOzdFIXUzf6NkBsxmoAqIYLeRPLumUTKyr5LjVcjWJWl1Li72zqQk1RhAIVR
 Hl8+D5hMKnP2PhkCNeDtzZbEQiwrtXbgp23b79eW2MwCGKrfH/TqBMmarjNAvzenJ7T/ipACzA4g
 4fGkDPXIYv/YKjFnxuMHu1JWE1QhM1GAeL21TiWRlNnjOaQYqQN8HjZrB6CfuqToFXVDofFwqYao
 bw5wB5B7cIjlGHk/eY8fz/wLvMDQsXfKAZg1jbcqSXic5wsnk+0B35dRuuAZdZX/vYjT3aULwdoe
 WYkg2oJcbCI15FU1RHccjKYCzJBYJNPHKcPu1DV/ClCsGOAc8E5H42YMT1j1rghd0VfesZfUbcdw
 zoBDsTPg0h/47xkPbprWAuDmve8vj6FHl3JHDHgAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDct
 MjRUMDk6MDc6MjgrMDA6MDB8fKDyAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA3LTI0VDA5OjA3
 OjI4KzAwOjAwDSEYTgAAAABJRU5ErkJggg==
X-Now-Playing: King Crimson's _Beat_: "Two Hands"
Date: Sun, 24 Jul 2022 11:24:05 +0200
Message-ID: <87a68yyibu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Roland Winkler <winkler@HIDDEN> writes: > That doesn't make
 sense, it works around the above bug instead of > doing it right in the first
 place. I'll look for a better solution > for this. Thanks. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56636
Cc: Ihor Radchenko <yantar92@HIDDEN>, 56636 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Roland Winkler <winkler@HIDDEN> writes:

> That doesn't make sense, it works around the above bug instead of
> doing it right in the first place.  I'll look for a better solution
> for this.

Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 24 Jul 2022 02:37:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 22:37:16 2022
Received: from localhost ([127.0.0.1]:46632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFRUZ-0004Zv-NM
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 22:37:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1oFRUW-0004Zg-KK
 for 56636 <at> debbugs.gnu.org; Sat, 23 Jul 2022 22:37:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50588)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1oFRUR-0000Ln-8f; Sat, 23 Jul 2022 22:37:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=dRY0AhE+J9y0E8TyPui8o+tyxAznFntIjJKrDl4Z83c=; b=SmCmrPHDjmtapwTydYiM
 QrfizdmV7aA87KJ12ydbkCwddJcT39Kq5stb2RMk22mF7lZrs2YszhPjLwicdbK1UmqlNijIzzIb4
 sBhHNHHA4c/9nd9qITHd8f0UKwL9ve6Cv1Eag6vaGUm42dYWM3sIkfErzvK3xN9RW1vh+lSQpOCbQ
 XJ8XIThVYJEGvdeqh0o2pewXp1RVjJsjYRh/0QJmwB8p5zXUqWWkvcrFijTgoROI08WaFCf5T0U1c
 FxBQXgKzWaMvsGEvIn/0qnoJIMF089ep2Rxv6H0z5/z9BL5+DtPQFMWj6bEgYdwlKtEXy4NJX7ftA
 p6pI44j5pTYKUg==;
Received: from [2600:1700:5650:f790::42] (port=51450 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <winkler@HIDDEN>)
 id 1oFRUR-0007Vr-0S; Sat, 23 Jul 2022 22:37:07 -0400
From: Roland Winkler <winkler@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
 <87edycuucy.fsf@localhost>
Date: Sat, 23 Jul 2022 21:37:05 -0500
In-Reply-To: <87edycuucy.fsf@localhost> (Ihor Radchenko's message of "Sat, 23
 Jul 2022 16:05:33 +0800")
Message-ID: <87wnc36xta.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56636
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 56636 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat, Jul 23 2022, Ihor Radchenko wrote:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>> Observed: Point moves to the @ ~/.emacs.d line.
>>> Expected: Point moves to @misc
>>
>> I guess the problem is with the @ in the title entry?
>
> Yes, bibtex-beginning-of-entry is doing
> (re-search-backward "^[ \t]*@" nil 'move) which does not match the right
> thing in this particular case.

This old part of the code should use bibtex-entry-maybe-empty-head.

Looking at the code, it frequently performs a strange dance
where a call of bibtex-beginnig-of-entry is followed by
(looking-at bibtex-entry-maybe-empty-head).
That doesn't make sense, it works around the above bug instead of
doing it right in the first place.  I'll look for a better solution
for this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 23 Jul 2022 08:04:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 04:04:39 2022
Received: from localhost ([127.0.0.1]:43218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFA7r-0002JE-3w
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:04:39 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:37619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1oFA7p-0002It-Mu
 for 56636 <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:04:38 -0400
Received: by mail-pl1-f181.google.com with SMTP id f11so6323648plr.4
 for <56636 <at> debbugs.gnu.org>; Sat, 23 Jul 2022 01:04:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=Ii8EP0/XUewXjisHwBMWOBJ+qHvXQGjQawPatKCkup8=;
 b=nJrkg9A99kVEcwjLJi2/UZTQcxk67TNaJiUNdk/3R1NRTa63lE832tjDSqfjeVK+qk
 Gl6PtrUndVygvu1k9hNQO8G2ExINE3GyQBc7+RZKim+d8eNZZ3heVVRr7/dP9HXXBQYR
 yuTuD37QNBWZSL9STzMTCoedCddL8beHyPCqUWupLRdF3Fh6wTIZk3siBwbqeus3tjP9
 kC2wjJFCtuhHVvuBmg/gFk4i96jel61QFttOWicMl/ym3K7QnO0T5xeTPF4AwBYeuC+l
 L0BRK7UiMl1YjR1Wh2nhMxOhpjqI2gDZQ/V9F4ifAY9B8BODrkF7VcxABSZWTjj42NgK
 zfnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=Ii8EP0/XUewXjisHwBMWOBJ+qHvXQGjQawPatKCkup8=;
 b=mYJPnQVzHRN7eKUQ9uYfLNgCcqVZGUPQM6V6iAisziLEYNihktKFSxA+M3AS4kw3ti
 d860AQzXnNyLcy7aOnrp/a0ZqMl6ngu1RwvqV7XsgzSH/4sqjHjqIJBj8ciDoyBWmQ/A
 m2aLcW8wZ8oFLgGfhLGVr3kOzNyeEOojNC3LLofSAWitzyW7bCSEUZaBFj9p2C0j2Ioz
 hOhSYFE0wHTZz48EzKvcRbbgQV6qDW3mVz0OqvwRiFFSjo8jb1Ucl2T+6pRlBl0Jq5Kx
 y6K7hCq3ge6hMYdM8Jd996bI6VSq+bdFsbnjDGFNhmqPJB8uViHH9HZMcqeVeYJYabf+
 yJTA==
X-Gm-Message-State: AJIora+ZA8aNIQgt73uMs4Jpinoufm2wHoLS8gSu/0uwgzMWsMaA8XAO
 xB21jBlJIiaIEg9kg43vH9Y=
X-Google-Smtp-Source: AGRyM1snQXXzHyD6WvjBFrcgc6Cd2122phiHX3/zddpM1kY4sBVfG1dt+uAFUGAh1XLuxw01KOW4WA==
X-Received: by 2002:a17:902:ec91:b0:16c:29d7:5e90 with SMTP id
 x17-20020a170902ec9100b0016c29d75e90mr3618358plg.114.1658563471703; 
 Sat, 23 Jul 2022 01:04:31 -0700 (PDT)
Received: from localhost ([1.83.155.1]) by smtp.gmail.com with ESMTPSA id
 j13-20020a17090a318d00b001f1e3b72a0esm6895274pjb.31.2022.07.23.01.04.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 23 Jul 2022 01:04:31 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
In-Reply-To: <874jz82rft.fsf@HIDDEN>
References: <878rophlaa.fsf@localhost> <874jz82rft.fsf@HIDDEN>
Date: Sat, 23 Jul 2022 16:05:33 +0800
Message-ID: <87edycuucy.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 56636
Cc: 56636 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Observed: Point moves to the @ ~/.emacs.d line.
>> Expected: Point moves to @misc
>
> I guess the problem is with the @ in the title entry?

Yes, bibtex-beginning-of-entry is doing
(re-search-backward "^[ \t]*@" nil 'move) which does not match the right
thing in this particular case.

Best,
Ihor




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at 56636 <at> debbugs.gnu.org:


Received: (at 56636) by debbugs.gnu.org; 23 Jul 2022 07:56:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 03:56:17 2022
Received: from localhost ([127.0.0.1]:43199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oF9zl-000227-6b
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 03:56:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oF9zk-00021r-38
 for 56636 <at> debbugs.gnu.org; Sat, 23 Jul 2022 03:56:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=qm7SC6nIYE8q9EfiMb1AAhkas5RbILxBnkGrMlzmLpY=; b=b8vnW4uf/E7AWcIAA3XiY0RkBG
 Hc+UktgYiIg0UQv4oCcRRyhMrUlWbu5siyNyMf/mOUvDCsHHyWXpel8FsQlIX2xB286I20zEgyMcK
 d6sf/el4AdKZuquVmt2VRkJvjk/naUbZAF0/Iaz2hQhUajsNFRfRzI0gzBq+Nnk3PUJs=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oF9zb-0008TO-W4; Sat, 23 Jul 2022 09:56:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ihor Radchenko <yantar92@HIDDEN>
Subject: Re: bug#56636: 28.1.90; bibtex-beginning-of-entry does not always
 move point the the actual beginning
In-Reply-To: <878rophlaa.fsf@localhost> (Ihor Radchenko's message of "Tue, 19
 Jul 2022 10:46:21 +0800")
References: <878rophlaa.fsf@localhost>
X-Now-Playing: The Residents's _Subterranean Modern_: "Is He Really Bringing
 Roses? (The Replacement)"
Date: Sat, 23 Jul 2022 09:56:06 +0200
Message-ID: <874jz82rft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ihor Radchenko <yantar92@HIDDEN> writes: >
 @misc{placeholder, 
 > author = {Mamoru Miura <mamo0110@HIDDEN>}, > created = {[2022-07-19
 Tue 09:44]}, > howpublished = {ML:Org mode},
 > link = > {notmuch:id:9F4AA657-D34B-4B85-A80D-1DD4B3017DB2@g
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56636
Cc: 56636 <at> debbugs.gnu.org, Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ihor Radchenko <yantar92@HIDDEN> writes:

> @misc{placeholder,
>   author =	 {Mamoru Miura <mamo0110@HIDDEN>},
>   created =	 {[2022-07-19 Tue 09:44]},
>   howpublished = {ML:Org mode},
>   link =
>                   {notmuch:id:9F4AA657-D34B-4B85-A80D-1DD4B3017DB2@HIDDEN},
>   note =	 {Online; accessed 19 July 2022},
>   title =	 {Re: Bug: Appointments duration and effort sums in
>                   agenda column view [9.3.7 (release_9.3.7-700-ga1e5be
>                   @ ~/.emacs.d/straight/build/org/)]},
>   typealt =	 {email},
>   year =	 2022,
> }
>
> Put the point at the "year" field and run
> M-: (bibtex-beginning-of-entry)
>
> Observed: Point moves to the @ ~/.emacs.d line.
> Expected: Point moves to @misc

I guess the problem is with the @ in the title entry?

I've added Roland to the CCs; perhaps he has some comments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jul 2022 02:45:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 18 22:45:25 2022
Received: from localhost ([127.0.0.1]:52488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDdEi-0005PE-NO
	for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 22:45:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:37142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yantar92@HIDDEN>) id 1oDdEg-0005P5-ER
 for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 22:45:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59210)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yantar92@HIDDEN>)
 id 1oDdEf-0007YC-Bz
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 22:45:22 -0400
Received: from mail-pl1-x636.google.com ([2607:f8b0:4864:20::636]:42673)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <yantar92@HIDDEN>)
 id 1oDdEd-0007UR-UW
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 22:45:21 -0400
Received: by mail-pl1-x636.google.com with SMTP id 5so10722249plk.9
 for <bug-gnu-emacs@HIDDEN>; Mon, 18 Jul 2022 19:45:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=iuyeqZLDNaCD7GfIelyCGT8I9786kGnWB1VjpAwUUqs=;
 b=ly2rZ52Shj6jIlCkLc8NKBz6gtcrMMGueoobo1dDDaJX/+oSftasibArlqOX+xZ+Oc
 5u99qSoEqZqZF6PHe6Wbpwaz6ngHcpmGBShcqCnuW1IVVPfRBjMjdvPXdoFewJKCraBN
 U3R/CRI89FbtTOVF1TWlSUUzWggrqwuOdpfk3Y6k8OVhdGQXx3dTV77GaRwxezDkEzLK
 w0BOIfRTZTpYyTe0PgyCrGVGCo9CjI+kZtw3k9yGG66KbdtgSlqMX17wPIlnF2hHqaAf
 S9kAsEDMhHLfl5kv3xfS17iOe2moc6dxYWZ7Brl1In1fn/pLMcKDKhMbpZG+v8dmqsVR
 TVGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=iuyeqZLDNaCD7GfIelyCGT8I9786kGnWB1VjpAwUUqs=;
 b=JruCN8zLg2uzeCKjhy2Fnly9VMF4O1+VlPRzrY/9+Fk2B369EFXGTNhK2yl1dbZlp1
 2+7veRwjsQWbDfEOPHO+gTScr0O21iHyaDJh1SA10rxCHewqrHlSbTJwU3WdwEkAJvcJ
 QUf3ZwDrWOl2DGD1qLB5HykHaDVz2obeUzWwfGHmAnTxMuKYTyIW/mofsUcAGKiK3j3H
 y+dLXuaaz+36jvVzFSOuVe5uA6k5ZQXYDk/SCOPDi1zJi/0YAYPF9McQtIFboyPyPpAJ
 iluQMw+/UadtU9dFCJQ0InxNszLpFDtXH9vzsE1KhVQ1w4Sx/n1T0FwNX6Nx07YBxHgP
 9d6A==
X-Gm-Message-State: AJIora+mgrLxzXCpvWWEb2s75ByTbeN7lnGQjXFz2mwezjtXhd8MF7+P
 v7e9mrZheDdCdn+u5G1+Mgm5w+LKzxT5Hphf
X-Google-Smtp-Source: AGRyM1skwC3lz/ygBqE5DwC1CR6zeFZjVvoeVI/TBJfpUQOQf1go90xJudELDa3TdIXUy61N16fysA==
X-Received: by 2002:a17:902:d2d1:b0:16c:223e:a3db with SMTP id
 n17-20020a170902d2d100b0016c223ea3dbmr31486143plc.37.1658198716682; 
 Mon, 18 Jul 2022 19:45:16 -0700 (PDT)
Received: from localhost ([115.154.175.57]) by smtp.gmail.com with ESMTPSA id
 q13-20020a170902dacd00b0016be681f008sm5595237plx.290.2022.07.18.19.45.15
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 18 Jul 2022 19:45:16 -0700 (PDT)
From: Ihor Radchenko <yantar92@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.1.90; bibtex-beginning-of-entry does not always move point the
 the actual beginning
Date: Tue, 19 Jul 2022 10:46:21 +0800
Message-ID: <878rophlaa.fsf@localhost>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::636;
 envelope-from=yantar92@HIDDEN; helo=mail-pl1-x636.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hi,

Consider the following BibTeX entry:

@misc{placeholder,
  author =	 {Mamoru Miura <mamo0110@HIDDEN>},
  created =	 {[2022-07-19 Tue 09:44]},
  howpublished = {ML:Org mode},
  link =
                  {notmuch:id:9F4AA657-D34B-4B85-A80D-1DD4B3017DB2@HIDDEN},
  note =	 {Online; accessed 19 July 2022},
  title =	 {Re: Bug: Appointments duration and effort sums in
                  agenda column view [9.3.7 (release_9.3.7-700-ga1e5be
                  @ ~/.emacs.d/straight/build/org/)]},
  typealt =	 {email},
  year =	 2022,
}

Put the point at the "year" field and run
M-: (bibtex-beginning-of-entry)

Observed: Point moves to the @ ~/.emacs.d line.
Expected: Point moves to @misc

The problem is not only with the direct call to
bibtex-beginning-of-entry, but also shows up in functions that make use
of this function. For example, (bibtex-generate-autokey) or
(bibtex-autokey-get-title) will treat "title" field as empty in the
above scenario.

Best,
Ihor

In GNU Emacs 28.1.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.16.0)
 of 2022-07-17 built on localhost
Repository revision: f5218385c064aa959650bfe49ca32795270851eb
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Gentoo Linux





Acknowledgement sent to Ihor Radchenko <yantar92@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56636; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 26 Nov 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.